---
title: spreadMethod
slug: Web/SVG/Attribute/spreadMethod
tags:
  - SVG
  - SVG Attribute
---
<div>{{SVGRef}}</div>

<p>The <strong><code>spreadMethod</code></strong> attribute determines how a shape is filled beyond the defined edges of a gradient.</p>

<p>Two elements are using this attribute: {{SVGElement("linearGradient")}} and {{SVGElement("radialGradient")}}</p>

<h2 id="Context_notes">Context notes</h2>

<table class="properties">
 <tbody>
  <tr>
   <th scope="row">Value</th>
   <td><code>pad</code> | <code>reflect</code> | <code>repeat</code></td>
  </tr>
  <tr>
   <th scope="row">Initial value</th>
   <td><code>pad</code></td>
  </tr>
  <tr>
   <th scope="row">Animatable</th>
   <td>Yes</td>
  </tr>
 </tbody>
</table>

<dl>
 <dt><code>pad</code></dt>
 <dd>This value indicates that the final color of the gradient fills the shape beyond the gradient's edges.</dd>
 <dt><code>reflect</code></dt>
 <dd>This value indicates that the gradient repeats in reverse beyond its edges.</dd>
 <dt><code>repeat</code></dt>
 <dd>This value specifies that the gradient repeats in the original order beyond its edges.</dd>
</dl>

<h3 id="Defining_a_gradient's_edges">Defining a gradient's edges</h3>

<p>By default, a gradient reaches to the edges of the shape being filled. To see the effects of this attribute, you will need to set the size of the gradient smaller than the shape.</p>

<p>In the case of a linear gradient, the edges may be defined as a rectangle by the <code>x1</code>, <code>x2</code>, <code>y1</code> and <code>y2</code> attributes. In the case of a radial gradient, the edges may be defined as outer and inner circles by the <code>cx</code>, <code>cy</code> and <code>r</code> (outer) and <code>fx</code>, <code>fy</code> and <code>fr</code> (inner) attributes.</p>

<h2 id="Examples_of_spreadMethod_with_linear_gradients">Examples of spreadMethod with linear gradients</h2>

<h3 id="SVG">SVG</h3>

<pre class="brush: html">&lt;svg width="220" height="150" xmlns="http://www.w3.org/2000/svg"&gt;
  &lt;defs&gt;
    &lt;linearGradient id="PadGradient"
                    x1="33%" x2="67%"&gt;
      &lt;stop offset="0%"  stop-color="fuchsia"/&gt;
      &lt;stop offset="100%" stop-color="orange"/&gt;
    &lt;/linearGradient&gt;
    &lt;linearGradient id="ReflectGradient" spreadMethod="reflect"
                    x1="33%" x2="67%"&gt;
      &lt;stop offset="0%"  stop-color="fuchsia"/&gt;
      &lt;stop offset="100%" stop-color="orange"/&gt;
    &lt;/linearGradient&gt;
    &lt;linearGradient id="RepeatGradient" spreadMethod="repeat"
                    x1="33%" x2="67%"&gt;
      &lt;stop offset="0%"  stop-color="fuchsia"/&gt;
      &lt;stop offset="100%" stop-color="orange"/&gt;
    &lt;/linearGradient&gt;
  &lt;/defs&gt;

  &lt;rect fill="url(#PadGradient)"
          x="10" y="0" width="200" height="40"/&gt;
  &lt;rect fill="url(#ReflectGradient)"
          x="10" y="50" width="200" height="40"/&gt;
  &lt;rect fill="url(#RepeatGradient)"
          x="10" y="100" width="200" height="40"/&gt;
&lt;/svg&gt;</pre>

<h3 id="Result">Result</h3>

<p>{{EmbedLiveSample('Examples_of_spreadMethod_with_linear_gradients')}}</p>

<p>Notice that the middle third of each gradient is the same. The outer thirds show the difference between the three spread methods.</p>

<h2 id="Examples_of_spreadMethod_with_radial_gradients">Examples of spreadMethod with radial gradients</h2>

<h3 id="SVG_2">SVG</h3>

<pre class="brush: html">&lt;svg width="340" height="120" xmlns="http://www.w3.org/2000/svg"&gt;
  &lt;defs&gt;
   &lt;radialGradient id="RadialPadGradient"
                    cx="75%" cy="25%" r="33%"
                    fx="64%" fy="18%" fr="17%"&gt;
      &lt;stop offset="0%"  stop-color="fuchsia"/&gt;
      &lt;stop offset="100%" stop-color="orange"/&gt;
    &lt;/radialGradient&gt;
    &lt;radialGradient id="RadialReflectGradient"
                    spreadMethod="reflect"
                    cx="75%" cy="25%" r="33%"
                    fx="64%" fy="18%" fr="17%"&gt;
      &lt;stop offset="0%"  stop-color="fuchsia"/&gt;
      &lt;stop offset="100%" stop-color="orange"/&gt;
    &lt;/radialGradient&gt;
    &lt;radialGradient id="RadialRepeatGradient"
                    spreadMethod="repeat"
                    cx="75%" cy="25%" r="33%"
                    fx="64%" fy="18%" fr="17%"&gt;
      &lt;stop offset="0%"  stop-color="fuchsia"/&gt;
      &lt;stop offset="100%" stop-color="orange"/&gt;
    &lt;/radialGradient&gt;
  &lt;/defs&gt;

  &lt;rect fill="url(#RadialPadGradient)"
        x="10" y="10" width="100" height="100"/&gt;
  &lt;rect fill="url(#RadialReflectGradient)"
        x="120" y="10" width="100" height="100"/&gt;
  &lt;rect fill="url(#RadialRepeatGradient)"
        x="230" y="10" width="100" height="100"/&gt;
&lt;/svg&gt;</pre>

<h3 id="Result_2">Result</h3>

<p>{{EmbedLiveSample('Examples_of_spreadMethod_with_radial_gradients')}}</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName("SVG2", "pservers.html#RadialGradientElementSpreadMethodAttribute", "spreadMethod for &lt;radialGradient&gt;")}}</td>
   <td>{{Spec2("SVG2")}}</td>
   <td>No change</td>
  </tr>
  <tr>
   <td>{{SpecName("SVG2", "pservers.html#LinearGradientElementSpreadMethodAttribute", "spreadMethod for &lt;linearGradient&gt;")}}</td>
   <td>{{Spec2("SVG2")}}</td>
   <td>No change</td>
  </tr>
  <tr>
   <td>{{SpecName("SVG1.1", "pservers.html#RadialGradientElementSpreadMethodAttribute", "spreadMethod for &lt;radialGradient&gt;")}}</td>
   <td>{{Spec2("SVG1.1")}}</td>
   <td>Initial definition for <code>&lt;radialGradient&gt;</code></td>
  </tr>
  <tr>
   <td>{{SpecName("SVG1.1", "pservers.html#LinearGradientElementSpreadMethodAttribute", "spreadMethod for &lt;linearGradient&gt;")}}</td>
   <td>{{Spec2("SVG1.1")}}</td>
   <td>Initial definition for <code>&lt;linearGradient&gt;</code></td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_Compatibility">Browser compatibility</h2>

<p>{{Compat("svg.attributes.presentation.spreadMethod")}}</p>
